- in kids mode brick regeneration is four times slower (2015/10/17 MS)
- in kids mode bonuses last four times longer (2015/10/17 MS)
- division by zero crash fixed in server (2014/02/03 Colin Tuckley)
- added danish translation (2013/07/29 Joe Dalton)
- updated a number of levelsets from OFT (2013/03/20 MS)
- use $docdir for document path in configure (2012/08/15 MS)
- added a bunch of new levelsets, removed OldGames (2012/08/15 MS)

2.6.4:
- fixed crash caused by long config path (2012/06/19 Kees Cook)
- fixed gettext related compile error (2012/06/19 Colin Tuckley)
- added another bunch of levelsets from Olaf Friedrich (2012/01/22 MS)
- added bunch of new levelsets (2011/06/10 MS)

2.6.3:
- fixed compiler warnings (2011/03/08 MS)
- fixed bug in loading levelsets formated in DOS (2011/03/07 MS)
- added comfortable levelset selection (2011/03/07 MS)
- fixed compile issue with libpng-1.5 (2011/03/02 Thomas Klausner)
- improved french localisation (2011/03/02 stormi)

2.6.2:
- added some new levelsets and updates (2010/10/05 MS)
- do not consider grown bricks for warp limit (2010/10/05 MS)
- fixed possible highscore loss on write error (2010/10/05 MS)
- fixed broken compilation with audio disabled (2010/10/04 Petr Pisar)

2.6.1:
- fixed missing font transparency in help screen (24/12/09 MS)
- fixed bug in menus's level set list that prevented first few entries
  to show up (24/12/09 MS)
- fixed odd sound sample rates (all are 22050 now) (24/12/09 AM)
- fixed english translation issues (23/12/09 CT)

2.6:
- added XDG desktop file (09/10/26 PT)
- fixed compiling on Fedora (09/10/26 SG)
- fixed GNU_SOURCE warning (09/10/26 MS)
- added new levelsets (09/10/26 MS)
- added hidden config option badspeech to disable swearing by default
  (09/10/26 MS)
- improved french translation (08/08/24 K.C.)
- drop group rights on startup (linux only) to improve security (access
  to highscore) (08/03/29 HG)
- bugfix: update levelset tooltip when changing selection with left/right
arrows (08/03/29 HG)
- added improved spec file for building RPMs (07/10/10 SG)
- configure now works for win32 (07/01/20 DY)

2.6beta-7:
- french translation added (06/08/27 K.C.)

2.6beta-6:
- added a hint for building on OS/2 to the README (06/05/27 DY)
- improved some german translations (06/05/26 MS)
- create some server bots per default (06/05/26 MS)
- adjusted fcntl call in net.c to work with kernel 2.6+ (and hopefully still 
  for lower versions... if not use SDL_net) (06/05/26 MS)
- use text from server option "-m" directly as welcome message if a file
  by that name was not found (06/05/26 MS)
- read highscores file before adding new scores for usage with NFS 
  (06/05/12 netfab)
- inline removed from function declarations to ensure global access 
  (06/04/01 PM)
- removed -Wall from CC arguments for better portability 
  (06/04/01 PM)

2.6beta-5:
- i18n for yes/no confirmation by y/n (05/11/29 M.S.)
- added some more missing strings to i18n (05/11/20 M.S.)
- leaving game by window manager's close button works in quick help 
  (05/11/20 M.S.)
- switching fullscreen/windowed mode works in quick help (05/11/20 M.S.)
- added gettext-comments for those strings that use % but not as format
  modifiers to prevent errors when making gmo files (05/11/20 M.S.)

2.6beta-4:
- added german localization (05/11/13 R.S.)
- removed client/client_game.c from POTFILES.in (05/10/31 M.S.)
- changed 'src' to 'client' directory in POTFILES.in (05/10/31 M.S.)

2.6beta-3:
- added missing common/gettext.h (05/10/20 M.S.)

2.6beta-2:
- i18n support for client (05/10/19 M.S.)
- fixed some more s(n)printf bugs (05/05/22 U.H.)

2.6beta:
- added several new levelsets (05/05/15 M.S.)
- disabled AC_PROG_STRIP from win32 build process since autotools in SuSE
  does not like it??? (05/05/15 M.S.)
- moved AC_CANONICAL_HOST to beginning of configure.in (05/05/15 M.S.) 
- finished bonus level DEFENDER (05/05/15 M.S.)
- added bonus level DEFENDER (05/04/6 M.S.)
- added bonus level HUNTER (05/04/01 M.S.)
- freakout levelset has bonus levels (05/04/01 M.S.)
- original levelset has bonus levels (05/04/01 M.S.)
- added bonus level SITTING_DUCKS (05/03/31 M.S.)
- made additional bonus levels optional (05/03/30 M.S.)
- normal levelsets get a bonus level every four normal levels 
  (05/03/30 M.S.)
- setting sound volume has effect (05/03/28 M.S.)
- added bonus levels JUMPING_JACK, OUTBREAK and BARRIER 
  (05/03/28 M.S.)
- security issue fixed: bad sprintf/scanf calls could lead to crashes
  or potential security problems (05/02/14 U.H.)

2.5.2:
- added a different sound for balls reflected from the paddle
  (05/01/13 M.S.)
- bugfix: acceleration of balls by middle mouse button now works in
  the testing mode of the editor (previously the balls got stuck in
  mid-air) (05/01/13 M.S.)
- the game will be paused if the input focus is lost or the
  application is iconfied (05/01/13 M.S.)
- when the 'sticky' bonus runs out, all attached balls will be
  detached (05/01/13 M.S.)
- when pressing either left or right shift, the name and score of
  the first chart entry of this set will be displayed at the upper
  right-hand side display of the frame instead of your name and
  score (05/01/12 M.S.)	
- if a paddle is frozen and the mouse is moved, the paddle will no
  longer jump after thawing (05/01/12 M.S.)
- when a paddle turns invisible due to the 'ghost paddle'-malus, all
  attached balls will be detached (05/01/12 M.S.)
- re-implemented explosion animation for bricks directly hit by an 
  explosive ball (05/01/12 M.S.)

2.5.1: 
- only levelsets from the install directory are used for 
  Freakout (04/06/25 M.S.)
- order of Freakout levels is saved (04/09/22 M.S.)
- bugfix: balls will not start in next level with max speed when
  the middle mouse button was pressed while clearing the last
  brick of a level (04/09/22 M.S.)
- bonus floor uses proper brick image (blue energy wall instead 
  of normal wall) (04/09/22 M.S.)
- replaced chaos bricks in level 7 of N_Snapshots with normal
  wall bricks (04/09/22 M.S.)
- to continue when viewing final network stats only SPACE is
  allowed (04/09/22 M.S.)
- re-added continue option for single player mode, however
  with 100% score loss this time (04/09/22 M.S.)

2.5:
- added additional network support via SDL_net for portability 
  (04/08/07 M.S.)
- bug fixed: game crashed when quitting testing mode in the 
  editor (04/08/06 M.S.)
- removed 5000 points bonus for completing a level. instead
  the score of the remaining destructible bricks is substracted
  as a penalty when warping to the next level (04/08/06 M.S.)
- generation of bug message is disabled (04/06/24 M.S.)
- sounds are played stereo in a local game and partially stereo
  in a network game (04/06/24 Greg, M.S.)

2.5beta-8:
- admin bot commands are documented in the help (04/06/19 M.S.)
- number of online users is displayed when logging in to server
  (04/06/19 M.S.)
- the number of bricks to be cleared for warp is not re-computed
  when a ball is lost but always based on the initial number
  of normal bricks (04/06/17 M.S.)
- saved game is removed when game is over (either all lives lost
  or all levels completed) (04/06/17 M.S.)
- game cannot be quit by 'q' or ESCAPE when all lives are lost
  (the player would get an extra life this way) (04/06/17 M.S.)
- new server option to add some paddle bots (04/06/17 M.S.)
- message about continue is not displayed in network game 
  (04/06/16 M.S.)
- network bot with variable paddle speed (04/06/16 M.S.)
- missing include added to gui.c (04/06/15 M.S.)

2.5beta-7:
- configure option --with-hiscore-path has been replaced with
  autoconf option --localstatedir (04/06/14 M.S.)
- data files will be installed to $datadir/lbreakout2 instead
  of $datadir/games/lbreakout2 (04/06/14 M.S.)
- renamed configure option --with-doc-path to --with-docdir
  (04/06/14 M.S.)
- bugfix: test mode of editor crashed when trying to get the total
  number of levels; there were none at all (04/06/14 M.S.)

2.5beta-6:
- network usernames must be alphanumerical (04/06/12 M.S.)
- fixed the 'snprintf'-bug that made the server exploitable to 
  formatted shellcode (04/06/12 M.S.)
- credits show total number of levels (04/06/12 M.S.)
- animations are now built directly from the brick graphics, using
  their color key, and not from the screen; thus animations are now
  transparent where the bricks are transparent, e.g. in theme
  'Aquarium' (04/06/12 M.S.)

2.5beta-5:
- changed URL from www.lgames.org to lgames.sf.net in the README
  (04/05/15 M.S.)
- if a game has been quit before it was over, it can now be resumed 
  (04/05/15 M.S.)
- default key 'd' is now blocked instead of normal key 'c' 
  (04/05/14 M.S.)
- pressing the middle mouse button or the speedup key will 
  accelerate all balls to maximum velocity until button/key
  is released again (04/05/13 M.S.)
- a 5000 points bonus is added if a level was completely
  cleared (not finished by warp) (04/05/13 M.S.)
- warp option is disabled in network game (04/05/13 M.S.)
- added hint on how to switch between the bricks/bonus set when 
  starting the editor (04/05/13 M.S.)

2.5beta-4:
- changed URL from www.lgames.org to lgames.sf.net (04/01/31 M.S.)

2.5beta-3:
- updated the quick hint of menu option 'Difficulty' (03/06/28 M.S.)
- added a VERY easy difficulty level for young kids (03/06/28 Zooko)
- invisible bricks do not vanish after being hit if the player 
  dies then (03/06/27 M.S.)
- speedup_level initiated correctly (03/06/27 M.T.)

2.5beta-2:
- fixed a bug in masking of ball speed vector which had the balls
  stopped in midair not moving any further (03/06/18 M.S.)
- minimum keyboard input speed is now 100 (03/06/16 M.S.)
- missing inclusion for FreeBSD added (03/06/16 S.M.)

2.5beta:
- complete rewrite of network code (03/05/.. M.S.)
- added 8 new levels to 'Original' for a total of 25 levels and
  renamed it to 'LBreakout2' (03/05/25 M.S.)
- correct size of temporary string buffer in write_text_with_cursor()
  which fixes crash while editing author/title in the level editor 
  (03/05/25 M.S.)
- 'warp' and 'disintegrate' do not apply for the levelsets
  'Original' and 'LBreakout1' (03/05/22 M.S.)
- separated levelset 'Original' from the other sets (03/05/22 M.S.)
- added the levelset of LBreakout1 as first add-on (03/05/22 M.S.)
- melted 'Original', 'AddOn-1', 'AddOn-2' into a tighter levelset 
  'Original' (03/05/22 M.S.)
- the option of buying a continue has been removed (03/05/20 M.S.)
- paddle can drop to 'middle size' 0 (03/05/20 M.S.)
- paddle size in medium difficulty decreased by one (03/05/20 M.S.)
- plasma weapon can fire permanently at a slower fire rate 
  (03/05/20 M.S.)
- modified bonus times to reflect the original values (03/05/20 M.S.)
- close button of window manager works in level editor (03/05/18 M.S.)
- reduced multiplayer ball respawn time to 5 seconds (03/05/17 M.S.)
- backgrounds have no colorkey (03/05/17 M.S.)
- multiplayer score table is also displayed if only one player remains
  or the game is broken up (03/04/27 M.S.)
- on entering editor effects of extras are reset (03/04/27 M.S.)
- menu option 'key speed' is now in pixels per seconds and has moved
  to the submenu 'controls' (03/04/23 M.S.)
- input is always grabbed and relative mouse motion is always used,
  therefore their menu options were removed (03/04/23 M.S.)
- simplified internal handling of paddle fire buttons (03/04/23 M.S.)
- after 10 seconds penalty a player gets a new ball in a non-pingpong
  multiplayer level when it has lost its (03/04/23 M.S.)
- balls no longer 'sink' into the sticky paddle (03/04/23 M.S.)
- description of menu options removed from documentation as each
  has a context-sensitive helpbox at runtime (03/04/23 M.S.)
- simplified input handling by dropping all the stupid stuff and
  sticking directly to SDL's functions (03/04/23 M.S.)
- added a 'loading' graphic at the beginning (03/04/08 M.S.)

2.4.1:
- unlimited number of backgrounds for themes (03/03/08 M.S.)
- if a levelset is selected its highscore chart is shown (03/02/27 M.S.)
- the warp icon gets static after it blinked four times (03/02/27 M.S.)
- the official levelsets 'Original', 'AddOn-1' and 'AddOn-2' became the 
  first entries in the levelset list (03/02/27 M.S.)
- default warp limit is now 80% of bricks (03/02/27 M.S.)
- scores are displayed while player changes (03/02/23 M.S.)
- loading themes from installation path no longer restricted to the 
  default ones (03/02/23 M.C.)
- added an explanation of the 'Warp' feature to the documenation 
  (03/02/07 M.S.)

2.4:
- fixed a bug were balls could get caught within the paddle if the
  'bonus floor' was active and the paddle wasn't moved (02/12/16 M.S.)
- extra balls of upper paddle (multiplayer) are created at proper position
  (02/12/16 M.S.)
- shadows of extras are clipped to the playing field (02/12/15 M.S.)
- lost/gained lives are refreshed correctly (02/12/15 M.S.)
- decreased corner sensitivity and improved corner reflection (no longer
  reflected at 45° but at the real perpendicular which makes it much
  easier for balls to enter narrow passages) (02/12/14 M.S.)
- simplified range check for ball velocity vector (02/12/14 M.S.)
- the frame's shadow is not drawn twice (thus darker) when a brick close to
  the frame is removed (02/12/13 M.S.)
- difficulty 'Hard' gives 30% score bonus (02/12/13 M.S.)
- increased ball speed for 'Medium' and 'Hard' (02/12/13 M.S.)
- added a missing check concering the reset position of reflected balls 
  to the target computation (without this they could get into bricks which 
  resulted in a corrupted next target) (02/12/13 M.S.)
- extra balls (random initial direction) can no longer move straight up
  (when they did so they simply left the screen as no target could be computed 
  for them) (02/12/13 M.S.)
- reduced number of get_target() calls for balls and shots (02/12/11 M.S.)
- improved handling of scrollbars (02/12/11 M.S.)
- fixed color key bugs occuring at depth >=24 (02/12/10 M.S.)
- when bricks regenerate they are refreshed correctly (02/12/08 M.S.)
- player can disintegrate single bricks by pressing 'd' and spending
  5% of his/her score (02/12/08 M.S.)

2.4beta-3:
- continues always cost 50% of the current score but fully restore the
  initial amount of lives (02/12/07 M.S.)
- fixed a bug in the 'restart' code that could accidently cause the
  game to quit if you hadn't paid the continue cost twice (02/12/07 M.S.)
- updated Jurgen De Backers theme AbsoluteB (02/12/07 M.S.)
- shadow creation for surfaces with no color key now works correctly 
  (02/12/07 M.S.)

2.4beta-2:
- fixed security holes created by improper use of sprintf (02/11/24 D.B.)

2.4beta:
- added a quick help for network game (02/11/03 M.S.)
- optimized drawing of balls/extras/shots/shrapnells (02/11/01 M.S.)
- removed config option shadow (is always enabled) (02/11/01 M.S.)
- 'paddle.png' may provide an additional paddle set for a different
  upper paddle (02/11/01 M.S.) 
- audio buffer size became config option (02/11/01 M.S.)
- network statistics are sent in one go after game is finished 
  (02/10/30 M.S.)
- code clean-ups in establishing direct connection (02/10/30 M.S.)
- in the highscore chart the level index is no longer 0 after 
  completing a levelset (02/10/29 M.S.)
- levelset transfer improved (02/10/27 M.S.)
- fading time decreased (02/10/26 M.S.)
- SDL >= 1.1.5 is now required (02/10/25 M.S.)
- invalid users are properly removed from server (02/10/25 M.S.)
- code clean-ups and performance enhancements (02/10/21 M.S.)
- improved chatroom GUI (02/10/19 M.S.)
- fixed a network leak that caused 500% more latency in 'Deathmatch'
  and 900% more latency in 'Normal Multiplayer' (02/10/08 M.S.)

2.3.5:
- added pseudo levelset !FREAKOUT! that lets you play all levels (~600)
  in a random order (02/09/21 M.S.)
- moved 'Select Theme' option from 'Advanced Options' to 'Graphics' 
  (02/09/21 M.S.)
- bonus stack is cleared at beginning of new level (02/09/21 M.S.)
- replaced 'wontgiveup.wav' with 'verygood.wav' (02/09/20 M.S.)
- implemented 'warp' option to switch to next level before all bricks
  where cleared (02/09/19 M.S.)
- bricks/bonuses/maluses may have transparency (02/09/17 M.S.)
- optional bonus floor graphic (02/09/17 M.S.)

2.3.4:
- fixed a crash in 'Classic' theme (02/09/12 M.S.)

2.3.3:
- added winning themes AbsoluteB, Oz, Moiree from theming contest and
  the previous default theme has been renamed to Classic (02/09/10 M.S.)
- fixed a bug that crashed LBreakout when there where two alternating 
  players left in the last level and one finished it (02/09/05 M.S.)
- modifications to make LBreakout run on FreeBSD (02/09/05 S.M.)
- option to display balls above debris and explosions (02/09/05 J.S.)
- input bug fixes for win32 (02/09/05 L.R.)
- blinking cursor for editable menu items to distinguish them from
  switches (02/09/05 L.R.)

2.3.2:
- added all existing levelsets (27 sets, ~440 levels) (02/08/16 L.R.)
- quick help can be opened in game by pressing F1 or 'h' (02/08/16 M.S.)
- the 'select theme' hint bubble will show information on a theme (author, 
  version, description) if it provides an ABOUT file (02/08/16 M.S.)
- menu graphics and sounds are now themeable (02/08/16 M.S.)
- added information about version and author of levelset to the hint
  bubble in the menu (02/08/16 M.S.)
- menu item added to modify challengers game port (02/08/16 M.S.)
- ip buffers resized to cover AF_INET6 addresses (02/08/16 M.S.)
- bugfix in net talk (02/08/15 M.S.)
- levelsets MP_Arenas and MP_Snapshots now have the correct contents 
  (02/08/14 M.S.)

2.3.1:
- multiplayer levelsets MP_Arenas and MP_Snapshots are now installed 
  correctly (02/08/14 M.S.)
- configure option --disable-network now works correctly (02/08/14 M.S.)
- if your challenge is invalid an error message is displayed 
  (02/08/14 M.S.)

2.3:
- no warnings when loading a theme (02/08/13 M.S.)
- two network levelsets MP_Arenas (deathmatch) and MP_Snapshots (normal) 
  added (02/08/13 M.S.)
- added version for levelsets (02/08/13 M.S.)
- added commands '/version', '/idletime' and '/userlimit (02/08/12 M.S.)
- 'turbo' key that temporarily doubles the paddle speed added 
  (02/08/10 D.B.)
- command '/transfer' implemented (02/08/10 M.S.)
- bonus info displayed at the right side of the screen is now optional 
  (02/08/10 M.S.)
- chatroom commands implemented (02/08/09 M.S.)
- chatroom channels implemented (02/08/08 M.S.)
- added configure option --disable-network (02/08/06 M.S.)
- network statistics implemented (02/08/06 M.S.)
- bugfix for networked weapon fire (02/08/06 M.S.)  
- PNG loading routine updated (02/08/06 M.S.)
- fixed an aweful lot of bugs in normal network game (02/08/05 M.S.)
- implemented info about running games to chatroom (02/08/05 M.S.)
- users are properly unlinked after playing a network game (02/08/05 M.S.)
- pause chatroom implemented (02/08/04 M.S.)
- normal networking implemented /02/08/04 M.S.)
- network bugfixes (02/08/03 M.S.)
- screen is grayed for paused games (02/08/02 M.S.)
- deathmatch networking implemented (02/08/02 M.S.)
- bugfix for shooting bricks (02/08/02 M.S.)
- welcome message when entering chatroom and the user name is colored white
  (02/08/02 M.S.)
- score modification for difficulty level is directly added (02/07/31 M.S.)
- each level gets a background assigned instead of simply changing
  the background when the player changes (02/07/31 M.S.)
- plain text config (02/07/31 M.S.)
- restored compatibility with old layout (02/07/31 M.S.)
- for win32: (02/07/18 L.R.)
  - edit bug fixed
  - installation details added to README
  - muched improved installation system
  - files are always opened in binary mode
- added missing screen.jpg in the docs (02/07/18 L.R.)
- implemented network enviroment with chatroom
- implemented second fire key
- added check for libz to configure as this is required for PNG
- option to modify audio buffer size to fix sound problems

2.2.2:
-LBreakout2 is now compileable with MinGW for Win32 
(thanks to Claudio Chimera)
-if a ball has an invalid target it returns to the paddle 
(instead of exiting the program)
-own graphics and sounds my be used as theme
-autoreturn of balls is now optional
-updated trouble-shooting
-fixed a bug where the bonus floor didn't disappear after the bonus
expired (thanks to Trevor Spiteri)

2.2.1:
-added another animation level
-if a ball didn't hit a destructible brick or the paddle within
ten seconds it moves back to the paddle to prevent 'endless
loops'
-changed the ball's size to 12x12 which is supposed to fix most
of the remaining reflection bugs (thanks to Linus Gasser)
-moved the level 'Be Smart!' from second to tenth position in 
levelset AddOn-2
-corrected a check up in line_intersect() (thanks to Linus Gasser)
-when a level is completed it's the next player's turn 
(thanks to Linus Gasser)

2.2:
-added some icons
-grown bricks are not removed when reinitating level
-all highlighted chart entries are cleared before adding players to chart
-new levelset AddOn-2 using the new extras (10 levels)
-new animations
-new extras (thanks to Dante):
    -TIME_ADD: adds 7 seconds to the duration of all active bonuses/maluses
    -DISABLE:  disables all active bonuses/maluses
    -EXPLOSIVE BALL: if ball touches a brick it explodes and destroys it's 
     neighbors
    -BONUS/MALUS MAGNET: either bonuses or maluses are attracted by the paddle
    -WEAK BALL: if active there is a 40% chance that a brick isn't damaged
-new bricks:
    -CHAOS BRICK: chaotic reflection of balls (thanks to Dante)
    -REGENERATIVE BRICKS: this brick will restore one point duration 
     within 4 seconds if not hit again (thanks to Dante)
    -SHIELDED BRICK: indestructible even for energy balls 
-new beautiful explosions (thanks to Dante)
-added quick hint system
-lbreakout2-level directory is created properly
-highscore is not overwritten when updating
-/var/lib/games is created when not existing

2.1.2:
-disabled double-click for confirmation
-increased sensitivity of the reflection check-up introduced in 2.1.1
-fixed a bug that caused reflection on an already removed brick (and
propably some crashes)
-added a grid to the editor for easier editing
-added advanced option 'Key Speed' to modify speed of keyboard input
-energy balls pulsate faster
-'exploding brick' list cleared when initiating next level
-using new backgrounds from the Arianne project (thanks to Dante)

2.1.1:
-added an important check up for ball reflection to fix a bug that
caused a crash when using a 'bonus floor' or a 'growing brick'

2.1:
-new levelset with 15 levels
-fixed a nasty reflection bug where the ball got stuck at the bottom
of the screen making a loud noise
-fixed a bug where the ball was attached to the wall instead of the 
paddle (Thanks to Patrick Hohmeyer!)
-invisible bricks
-explosive bricks
-fixed a bug in the menu
-added a 'quick help'
-modified bonus times
-manual updated
-'blue' balls are fading in and out
-two more colored bricks (gray, white)
-added three new maluses:
    -'Lights Out!': total darkness (except ball, paddle and bonuses)
    -'Ghostly Paddle': paddle disappears when not moving 
      (won't reflect balls)
    -'Chaos': balls are reflected randomly at bricks
-attached balls keep contact with paddle while resizing
-each levelset got it's own highscore chart
-jumping of paddle after smooth resize fixed

2.0.1:
-new optimized reflection algorithm (supposed to fix all
remaining bugs)

2.0:
-reflection bug fixes:
    -stated another (less) important break condition for
     multiball reflection
    -range tolerance for edge reflection increased
    -additional checkup for 'neighbored bricks'
	 reflection

2.0-pre2:
-player scores modified correctly in the end of the game
-fixed bonus floor deadlock
-fixed a reflection bug
-you may also quit a running game by 'q' now
-faster paddle movement when keys are used
-added dummy array to config file so no corruptions will
occur when new options are initiated

2.0-pre1:
-ball is drawn correctly when moving up/left
-modified paddle reflection conditions
-normed the perpendicular vector of brick edges
-balls are properly reset when destroying a brick
with the 'metal' bonus (and no reflection occurs)
-highscore chart saved directly after game over
-new advanced option: ball below/above bonuses
-fullscreen/windowed switch by 'f' now allowed everywhere
-added a spec file for RPMs (thanks to Dennis Bjorklund)
-added some very important range checks for reflection

2.0beta:
-smooth paddle resize
-bonus shadows drawed correctly (doesn't overlap other bonuses)
-modified brick reflection and hopefully fixed 
the 'through walls like a ghost' bug
-fixed the wrong color key of frame (thanks to Andre Trindade)
-restart is allowed even with no life left if you got enough points to
buy a continue
-added a missing include in config.c and fixed some newline warnings

2.0alpha-2:
-bit depth is adjusted to the settings of your desktop (instead of 16bit
hardcoded)
-correct color key for paddle and balls at bit depth > 16

2.0alpha:
-major code redesign and clean-ups
    -C++ -> C
    -structured source
-resolution changed from 512x288 to 640x480 (no black frame in fullscreen)
-up to 4 players (alternate)
-fading improved
-score counting improved
-optional constant frame rate (to prevent LBreakout from
consuming 100% CPU time)
-event handling improved:
    -paddle does not slow down if framerate drops
    -moving paddle and firing weapon at the same time now works for Linux
    (problems with Mac and BeOS - therefore added an --enable-warp
    option - see the README for more)
    -usage of 'invert mouse' and 'motion modifier' improved
-shadow added
-graphics improved
-ball velocity specified by difficulty instead of level
-added a grab option to keep mouse in window (thanks to Mark Rowe)
-time of a bonus (if any limit) is added to current time (instead of
setting it)
-new bonuses:
    'End Of The Rainbow': while this is active each brick without
    a bonus will release 1000 points
    'Joker': destroys all malus' and collects all bonus on screen
    doubling time limit and score (if any)
-added and changed sounds
-new menu
-fixed a bug in shot handling (wrong bricks removed)
-the global highscore path is no longer hard-coded in the configure
script (option: --with-highscore-path)
-improved the paddle:
    -works perfect! (balls won't go through the paddle)
    -real convex behaviour
-improved the brick reflection (though edges need a better reflection
behaviour)
-in the menu ESCAPE takes back to the previous menu instead of
leaving the game
-integrated feature-packed level editor
-PNG is used for graphics (to beat the 1MB limit of the SDL competition)
-new documentation

010315:
-when a blue metal ball destroys a wall its score is no longer
uninitialized (No chance anymore to get a BILLION points within minutes! ;)
-twinkling of bricks is disabled when animations are turned off
-fixed a bug occuring when loading own levels
-score is counted faster
-better example of own level in the manual (added as single
file 'test.lbr' as well)
-two charts: 'Highest Scores' and 'Highest Levels'
(thanks to Jean-Philippe Martin)

001104:
-added 5 new levels
-remaining time of a bonus is displayed (optional)
-added speed-up/speed-down bonuses
-a blue ball now goes through indestructible walls as well
-freeze duration now is one second instead of two seconds
-changed the logo (thanks to marko kjellgren)

001022:
-when paused resume game only if 'p' is pressed
-mouse invert option
-random starting angle (-60 to 60 degree) of a ball (optional)
-if starting angle is not random press left mouse button to fire the ball
to the left (right button to fire to the right)
-paddle can shrink below its original size (absolute minimum of 30 pixels)
-changed the indestructible bricks from level 03 to destructible ones
-moved option 'Paddle' from menu 'Controls' to 'Game'

001018:
-fixed some bugs
-$(DESTDIR) now is used in Makefile.am (thanks to daniel burrows and lauri korts-parn)
-spec file improved
-highscore path changed to /var/lib/games

001014:
-selecting fullscreen via menu works again
-added a spec file for redhat linux (thanks to lauri korts-parn)
-paddle works much better
-'shrink paddle' and 'expand paddle' bonuses can be distinguished better
-you can choose between a 'flat surface' and a 'convex surface' paddle
behaviour
-position of a ball will be reset when it is attached

001006:
-fixed various bugs
-checks for SDL and pthread libs now
-timer improved
-removed some more egcs 2.91.66 problems
-sound is default (configure)
-added --disable-install option (configure)
-if SDL 1.1.5 is found -DSDL_1_1_5 is defined automatically (configure)
-if the paddle is resized attached balls will keep contact
-levels changed (25 now)
-weapon fires continuously while 'Fire' is pressed
-mouse pointer hidden when playing in fullscreen mode
-resolution no longer changed everytime entering a new level (in fullscreen
mode)
-you can enable/disable sound and transparancy, set the
animation level and turn on/off 'Fullscreen' while playing
-if a ball hits two bricks at the same time both will be removed
-paddle works better

001002:
-works with egcs 2.91.66 now
-mouse pointer hidden when only keyboard is used

000930-2:
-high score chart installed correctly
-no request for SDL_INIT_AUDIO if -DSOUND undefined

000930:
-improved the installation process

000929:
-works with SDL version 1.1.5 (or better), too

000928:
-fixed the 'infinite loop' bug
-added a fullscreen option
-source path correctly set now
-changed some levels

000924:
-initial public release
